Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMNativeObject

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

Direct Known Subclasses:
  `ASMOclAny`

    public abstract class ASMNativeObject
    extends java.lang.Object

Native Objects that can be created using "new" by VM code.

### Field Summary

Fields
`protected static java.util.Map` `nativeImpl`

### Constructor Summary

Constructors
`ASMNativeObject()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class` `getNativeImpl​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nativeImpl

    protected static java.util.Map nativeImpl

### Constructor Detail

#### ASMNativeObject

    public ASMNativeObject()

### Method Detail

#### getNativeImpl

    public static java.lang.Class getNativeImpl​(java.lang.String name)